/*
 * DiaSCE
 * Copyright (C) 2001  Ander Lozano Prez
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Ander Lozano Prez
 * ander1@wanadoo.es
 */

#include "main.h"
#include "xpm.h"

//*******************************************************************

void pix_inicializar(void)
{

	DEBUG_MSG(->pix_inicializar);	
	
	pixbufs[PROYECTO]=gdk_pixbuf_new_from_xpm_data(xpm_proyecto);
	pixbufs[CABECERAS]=gdk_pixbuf_new_from_xpm_data(xpm_cabeceras);
	pixbufs[FUENTES]=gdk_pixbuf_new_from_xpm_data(xpm_fuentes);
	pixbufs[OTROS]=gdk_pixbuf_new_from_xpm_data(xpm_otros);
	pixbufs[ARCHIVO]=gdk_pixbuf_new_from_xpm_data(xpm_archivo);
	pixbufs[CLASES]=gdk_pixbuf_new_from_xpm_data(xpm_clases);
	pixbufs[FUNCIONES]=gdk_pixbuf_new_from_xpm_data(xpm_funciones);
	pixbufs[UNIONES]=gdk_pixbuf_new_from_xpm_data(xpm_uniones);
	pixbufs[ESTRUCURAS]=gdk_pixbuf_new_from_xpm_data(xpm_estructuras);
	pixbufs[BARIABLES]=gdk_pixbuf_new_from_xpm_data(xpm_bariables);
	pixbufs[ENUMERACIONES]=gdk_pixbuf_new_from_xpm_data(xpm_enumeraciones);
	pixbufs[TIPOS]=gdk_pixbuf_new_from_xpm_data(xpm_tipos);
	pixbufs[MIEMBRO]=gdk_pixbuf_new_from_xpm_data(xpm_miembro);

	DEBUG_MSG(<-pix_inicializar);	
}
